const knex = require('knex');

module.exports = {
  port: 8000,
  entrypointAddress: '0xa268937c2573e2AB274BF6d96e88FfE0827F0D4D',
  baseUrl: 'https://madrid-write-api.windingtree.com',
  ethNetwork: 'ropsten',
  ethereumProvider: process.env.ETH_NETWORK_PROVIDER,
  swarm: {
    provider: 'https://swarm.windingtree.com',
    timeoutRead: 1000,
    timeoutWrite: 2500,
  },
  db: knex({
    client: 'sqlite3',
    connection: {
      filename: './.playground.sqlite',
    },
    useNullAsDefault: true,
  }),
};
